org.apache.tinkerpop.gremlin.hadoop.structure.io.script

## Class ScriptRecordWriter

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.hadoop.structure.io.script.ScriptRecordWriter

-     public final class ScriptRecordWriter
      extends <any>

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `SCRIPT_ENGINE`
    `protected static String` | `SCRIPT_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptRecordWriter(DataOutputStream out, TaskAttemptContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(TaskAttemptContext context)`
    `void` | `write(NullWritable key, VertexWritable vertex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCRIPT_FILE

          protected static final String SCRIPT_FILE

      See Also:
        Constant Field Values

    - #### SCRIPT_ENGINE

          protected static final String SCRIPT_ENGINE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptRecordWriter

          public ScriptRecordWriter(DataOutputStream out,
                                    TaskAttemptContext context)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write(NullWritable key,
                            VertexWritable vertex)
                     throws IOException

      Throws:
        `IOException`

    - #### close

          public void close(TaskAttemptContext context)
                     throws IOException

      Throws:
        `IOException`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.